#
# Conditional build:
%bcond_without	tests		# build without tests

%define		pdir	Apache
%define		pnam	LogFormat-Compiler
Summary:	Apache::LogFormat::Compiler - Compile a log format string to perl-code
Name:		perl-Apache-LogFormat-Compiler
Version:	0.35
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cbb0bf041ade8a39f65eadbdf8a346c1
URL:		http://search.cpan.org/dist/Apache-LogFormat-Compiler/
BuildRequires:	perl-Module-Build-Tiny
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-26
%if %{with tests}
BuildRequires:	perl-HTTP-Message
BuildRequires:	perl-Test-MockTime
BuildRequires:	perl-POSIX-strftime-Compiler
BuildRequires:	perl-Try-Tiny
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compile a log format string to Perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
		--destdir=$RPM_BUILD_ROOT \
		--installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/%{pdir}/LogFormat
%{perl_vendorlib}/%{pdir}/LogFormat/*.pm
%{_mandir}/man3/*.3*
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Apache-LogFormat-Compiler.git;a=log;h=master

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> bdec941
- release 2 (by relup.sh)

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> ccf4b1d
- updated BRs

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 27ae5b0
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2286a3c
- up to 0.35

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> a2745c9
- update BR

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 81a5de5
- x32 rebuild
- release 2 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> a2fb433
- use generic url

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e1aca19
- initial

